Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler
Class WsdlFinderXMLEntityResolver

    java.lang.Object
      org.apache.ode.bpel.compiler.WsdlFinderXMLEntityResolver

All Implemented Interfaces:
  org.apache.xerces.xni.parser.XMLEntityResolver

    public class WsdlFinderXMLEntityResolver

extends java.lang.Object
implements org.apache.xerces.xni.parser.XMLEntityResolver

Xerces `XMLEntityResolver` implementation that defers to our own `ResourceFinder` interface for loading resources. This class is used for XSD-Schema capture which uses the Xerces schema model.

Constructor Summary
`WsdlFinderXMLEntityResolver(ResourceFinder finder, java.net.URI baseURI, java.util.Map<java.net.URI,java.lang.String> internalSchemas, boolean failIfNotFound)` Constructor.

Method Summary
`org.apache.xerces.xni.parser.XMLInputSource` | `resolveEntity(org.apache.xerces.xni.XMLResourceIdentifier resourceIdentifier)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlFinderXMLEntityResolver

    public WsdlFinderXMLEntityResolver(ResourceFinder finder,
                                       java.net.URI baseURI,
                                       java.util.Map<java.net.URI,java.lang.String> internalSchemas,
                                       boolean failIfNotFound)

  Constructor.

  Parameters:
    `finder` - `ResourceFinder` implementation.
    `baseURI` - the base URI against which all relative URIs are to be resolved; typically this is the system URI of the WSDL containing an embedded schema

Method Detail

### resolveEntity

    public org.apache.xerces.xni.parser.XMLInputSource resolveEntity(org.apache.xerces.xni.XMLResourceIdentifier resourceIdentifier)
                                                              throws org.apache.xerces.xni.XNIException,
                                                                     java.io.IOException

  Specified by:
    `resolveEntity` in interface `org.apache.xerces.xni.parser.XMLEntityResolver`
  Throws:
    `org.apache.xerces.xni.XNIException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD